#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-silver
version:              3.3.1
visibility:           public
id:                   tasty-silver-3.3.1-Hpfcf5H8voZFsZK0g0ce2H
key:                  tasty-silver-3.3.1-Hpfcf5H8voZFsZK0g0ce2H
license:              MIT
maintainer:           Philipp Hausmann, Andreas Abel
author:               Philipp Hausmann, Roman Cheplyaka and others
homepage:             https://github.com/phile314/tasty-silver
synopsis:             A fancy test runner, including support for golden tests.
description:
    This package provides a fancy test runner and support for «golden testing».

    A golden test is an IO action that writes its result to a file.
    To pass the test, this output file should be identical to the corresponding
    «golden» file, which contains the correct result for the test.

    The test runner allows filtering tests using regexes, and to interactively
    inspect the result of golden tests.

    This package is a heavily extended fork of tasty-golden.

category:             Testing
abi:                  f68990ced373cfefd77a1bce59b0c113
exposed:              True
exposed-modules:
    Test.Tasty.Silver Test.Tasty.Silver.Advanced
    Test.Tasty.Silver.Filter Test.Tasty.Silver.Interactive
    Test.Tasty.Silver.Interactive.Run Test.Tasty.Silver.Internal

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-silver-3.3.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-silver-3.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/tasty-silver-3.3.1
hs-libraries:         HStasty-silver-3.3.1-Hpfcf5H8voZFsZK0g0ce2H
depends:
    ansi-terminal-0.11-7Sg6KtenVNR9Ce5shok5FD
    async-2.2.4-LxjN3fqaAxU7y1HouqRT3c base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1 deepseq-1.4.5.0
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    optparse-applicative-0.16.1.0-DEjwPOuSPXL9VmbUx7zk3c
    process-1.6.13.2 process-extras-0.7.4-3FqhmblNawkK3WVbX72RBq
    regex-tdfa-1.3.1.2-GJAFuGmj4unDbosbJHC2w0
    silently-1.2.5.2-KvFvN8XiRhqBA56Sfh5QQ1 stm-2.5.0.0
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR
    tasty-1.4.2.1-5aVIk2EmFZaHHHsVyKDPiF
    temporary-1.3-D56AdnUnUT6GB0l4hbfosj text-1.2.5.0

haddock-interfaces:
    /usr/share/doc/haskell-tasty-silver/html/tasty-silver.haddock

haddock-html:         /usr/share/doc/haskell-tasty-silver/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

